using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class stickScript : MonoBehaviour
{
    public particleScript a, b;
    public float len;

    // Start is called before the first frame update
    void Start()
    {
        len = Vector3.Distance(a.transform.position, b.transform.position);
    }

    void updateTransformation()
    {
        Vector3 pa = a.transform.position;
        Vector3 pb = b.transform.position;
        transform.position = Vector3.Lerp(pa, pb, 0.5f);
        Vector3 a2b = pb - pa;
        transform.rotation = Quaternion.FromToRotation(Vector3.up, a2b);
        transform.localScale = new Vector3(0.5f, 0.5f* a2b.magnitude , 0.5f);
    }

    private void FixedUpdate()
    {
        Vector3 pa = a.transform.position;
        Vector3 pb = b.transform.position;

        Vector3 a2b = pb - pa;
        float currDist = a2b.magnitude;

        pa += 0.5f * (currDist - len) * a2b.normalized;
        pb -= 0.5f * (currDist - len) * a2b.normalized;
        a.transform.position = pa;
        b.transform.position = pb;

    }

    // Update is called once per frame
    void Update()
    {
        updateTransformation();
    }
}
